Skip to content

Get agent

GET
/v1/agents/{role}
import requests
resp = requests.get(
"https://api.ultimateteam.ai/v1/agents/{role}",
headers={"X-API-Key": "utk_live_YOUR_KEY"},
)
print(resp.json())

Return metadata for a single C-suite agent (one of CEO/CRO/CFO/CMO/COO/CTO/CISO/CIO).

role
required
Role
string
>= 2 characters <= 16 characters
X-API-Key
Any of:
string

Successful Response

Media typeapplication/json
Response Get Agent V1 Agents Role Get
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}